# osgUtil::Optimizer::TesselateVisitor Class Reference

Tesselate all geodes, to remove POLYGONS. More...

Inheritance diagram for osgUtil::Optimizer::TesselateVisitor:

[legend]
List of all members.

## Public Types

typedef std::set< osg::Group * > | GroupList

## Public Member Functions

| TesselateVisitor ()
virtual void | apply (osg::Geode &geode)

## Public Attributes

GroupList | _groupList

## Detailed Description

Tesselate all geodes, to remove POLYGONS.

## Member Typedef Documentation

typedef std::set<osg::Group*> osgUtil::Optimizer::TesselateVisitor::GroupList

## Constructor & Destructor Documentation

osgUtil::Optimizer::TesselateVisitor::TesselateVisitor | ( |  | ) | `[inline]`

## Member Function Documentation

void Optimizer::TesselateVisitor::apply | ( | osg::Geode & | geode | ) | `[virtual]`

## Member Data Documentation

GroupList osgUtil::Optimizer::TesselateVisitor::_groupList

The documentation for this class was generated from the following files:

- Optimizer
- Optimizer.cpp